# pion::tcp::timer Class Reference

`#include <timer.hpp>`

List of all members.

## Public Member Functions

| timer (tcp::connection_ptr &conn_ptr)
void | start (const boost::uint32_t seconds)
void | cancel (void)
| cancel the timer (operation completed)

## Detailed Description

timer: helper class used to time-out TCP connections

Definition at line 29 of file timer.hpp.

## Constructor & Destructor Documentation

pion::tcp::timer::timer | ( | tcp::connection_ptr & | conn_ptr | ) |

creates a new TCP connection timer

Parameters:

  | conn_ptr | pointer to TCP connection to monitor

Definition at line 20 of file tcp_timer.cpp.

## Member Function Documentation

void pion::tcp::timer::start | ( | const boost::uint32_t | seconds | ) |

starts a timer for closing a TCP connection

Parameters:

  | seconds | number of seconds before the timeout triggers

Definition at line 26 of file tcp_timer.cpp.

The documentation for this class was generated from the following files:

- include/pion/tcp/timer.hpp
- src/tcp_timer.cpp